# Uses of Class
org.eclipse.ecf.core.sharedobject.BaseSharedObject

Packages that use BaseSharedObject
Package
Description
org.eclipse.ecf.core.sharedobject
org.eclipse.ecf.core.sharedobject.model
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice.eventadmin

## Uses of BaseSharedObject in org.eclipse.ecf.core.sharedobject

Subclasses of BaseSharedObject in org.eclipse.ecf.core.sharedobject
Modifier and Type
Class
Description
`class`
`OptimisticSharedObject`
Superclass for shared object classes that replicate themselves optimistically.
`class`
`TransactionSharedObject`
Superclass for shared object classes that replicate themselves transactionally.
Methods in org.eclipse.ecf.core.sharedobject that return BaseSharedObject
Modifier and Type
Method
Description
`protected BaseSharedObject`
TwoPhaseCommitEventProcessor.`getSharedObject()`
Constructors in org.eclipse.ecf.core.sharedobject with parameters of type BaseSharedObject
Modifier
Constructor
Description
``
`SharedObjectMsgEventProcessor(BaseSharedObject sharedObject)`
``
`TwoPhaseCommitEventProcessor(BaseSharedObject bse, ISharedObjectTransactionConfig config)`

## Uses of BaseSharedObject in org.eclipse.ecf.core.sharedobject.model

Subclasses of BaseSharedObject in org.eclipse.ecf.core.sharedobject.model
Modifier and Type
Class
Description
`class`
`SharedModel`

## Uses of BaseSharedObject in org.eclipse.ecf.provider.remoteservice.generic

Subclasses of BaseSharedObject in org.eclipse.ecf.provider.remoteservice.generic
Modifier and Type
Class
Description
`class`
`RegistrySharedObject`

## Uses of BaseSharedObject in org.eclipse.ecf.remoteservice.eventadmin

Subclasses of BaseSharedObject in org.eclipse.ecf.remoteservice.eventadmin
Modifier and Type
Class
Description
`class`
`DistributedEventAdmin`